Package com.google.protobuf

## Enum Descriptors.FieldDescriptor.Type

- java.lang.Object
- - java.lang.Enum<Descriptors.FieldDescriptor.Type>
  - - com.google.protobuf.Descriptors.FieldDescriptor.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Descriptors.FieldDescriptor.Type>`

Enclosing class:
  Descriptors.FieldDescriptor

    public static enum Descriptors.FieldDescriptor.Type
    extends java.lang.Enum<Descriptors.FieldDescriptor.Type>

### Enum Constant Summary

Enum Constants
`BOOL`
`BYTES`
`DOUBLE`
`ENUM`
`FIXED32`
`FIXED64`
`FLOAT`
`GROUP`
`INT32`
`INT64`
`MESSAGE`
`SFIXED32`
`SFIXED64`
`SINT32`
`SINT64`
`STRING`
`UINT32`
`UINT64`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Descriptors.FieldDescriptor.JavaType` `getJavaType()`
`DescriptorProtos.FieldDescriptorProto.Type` `toProto()`
`static Descriptors.FieldDescriptor.Type` `valueOf​(DescriptorProtos.FieldDescriptorProto.Type type)` Returns the enum constant of this type with the specified name.
`static Descriptors.FieldDescriptor.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Descriptors.FieldDescriptor.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOUBLE

    public static final Descriptors.FieldDescriptor.Type DOUBLE

#### FLOAT

    public static final Descriptors.FieldDescriptor.Type FLOAT

#### INT64

    public static final Descriptors.FieldDescriptor.Type INT64

#### UINT64

    public static final Descriptors.FieldDescriptor.Type UINT64

#### INT32

    public static final Descriptors.FieldDescriptor.Type INT32

#### FIXED64

    public static final Descriptors.FieldDescriptor.Type FIXED64

#### FIXED32

    public static final Descriptors.FieldDescriptor.Type FIXED32

#### BOOL

    public static final Descriptors.FieldDescriptor.Type BOOL

#### STRING

    public static final Descriptors.FieldDescriptor.Type STRING

#### GROUP

    public static final Descriptors.FieldDescriptor.Type GROUP

#### MESSAGE

    public static final Descriptors.FieldDescriptor.Type MESSAGE

#### BYTES

    public static final Descriptors.FieldDescriptor.Type BYTES

#### UINT32

    public static final Descriptors.FieldDescriptor.Type UINT32

#### ENUM

    public static final Descriptors.FieldDescriptor.Type ENUM

#### SFIXED32

    public static final Descriptors.FieldDescriptor.Type SFIXED32

#### SFIXED64

    public static final Descriptors.FieldDescriptor.Type SFIXED64

#### SINT32

    public static final Descriptors.FieldDescriptor.Type SINT32

#### SINT64

    public static final Descriptors.FieldDescriptor.Type SINT64

### Method Detail

#### values

    public static Descriptors.FieldDescriptor.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Descriptors.FieldDescriptor.Type c : Descriptors.FieldDescriptor.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Descriptors.FieldDescriptor.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toProto

    public DescriptorProtos.FieldDescriptorProto.Type toProto()

#### getJavaType

    public Descriptors.FieldDescriptor.JavaType getJavaType()

#### valueOf

    public static Descriptors.FieldDescriptor.Type valueOf​(DescriptorProtos.FieldDescriptorProto.Type type)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `type` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null